@cloudhal/cli 0.0.0-stage → 0.1.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/LICENSE +202 -0
- package/README.md +191 -2
- package/dist/assets/skills/comment-triage/SKILL.md +34 -0
- package/dist/assets/skills/comment-triage/evals/nightly-queue.json +13 -0
- package/dist/assets/skills/publish-article/SKILL.md +44 -0
- package/dist/assets/skills/publish-article/evals/file-under-category.json +10 -0
- package/dist/assets/skills/publish-article/evals/publish-draft.json +8 -0
- package/dist/assets/skills/publish-article/evals/schedule-draft.json +10 -0
- package/dist/assets/skills/publish-article/references/editorial-checklist.md +9 -0
- package/dist/assets/skills/rollback/SKILL.md +23 -0
- package/dist/assets/skills/rollback/evals/revert-last.json +4 -0
- package/dist/assets/skills/safe-edit/SKILL.md +29 -0
- package/dist/assets/skills/safe-edit/evals/retitle.json +4 -0
- package/dist/assets/skills/safe-edit/references/retagging.md +8 -0
- package/dist/assets/skills/site-bootstrap/SKILL.md +29 -0
- package/dist/assets/skills/site-bootstrap/evals/empty-site.json +9 -0
- package/dist/assets/skills/site-bootstrap/references/content-guidelines.md +6 -0
- package/dist/assets/skills/site-design/SKILL.md +31 -0
- package/dist/assets/skills/site-design/evals/landing-page.json +12 -0
- package/dist/assets/skills/site-design/references/checklist.md +10 -0
- package/dist/assets/skills/site-design/references/guidance.md +13 -0
- package/dist/assets/skills/site-design/references/page-recipes.md +34 -0
- package/dist/assets/skills/site-design/references/tokens.md +40 -0
- package/dist/assets/skills/stale-review/SKILL.md +40 -0
- package/dist/assets/skills/stale-review/evals/weekly-review.json +13 -0
- package/dist/assets/starters/blog/.yarnrc.yml +2 -0
- package/dist/assets/starters/blog/README.md +46 -0
- package/dist/assets/starters/blog/_gitignore +5 -0
- package/dist/assets/starters/blog/astro.config.mjs +40 -0
- package/dist/assets/starters/blog/package.json +35 -0
- package/dist/assets/starters/blog/public/favicon.ico +0 -0
- package/dist/assets/starters/blog/public/favicon.svg +1 -0
- package/dist/assets/starters/blog/public/fonts/fraunces-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/fraunces-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/fraunces-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/inter-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/inter-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/inter-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/jetbrains-mono-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/jetbrains-mono-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/jetbrains-mono-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/source-sans-3-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/source-sans-3-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/source-sans-3-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/source-serif-4-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/source-serif-4-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/source-serif-4-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/space-grotesk-OFL.txt +93 -0
- package/dist/assets/starters/blog/public/fonts/space-grotesk-latin-ext-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/public/fonts/space-grotesk-latin-wght-normal.woff2 +0 -0
- package/dist/assets/starters/blog/src/DESIGN.md +42 -0
- package/dist/assets/starters/blog/src/blocks.ts +45 -0
- package/dist/assets/starters/blog/src/components/Archive.astro +108 -0
- package/dist/assets/starters/blog/src/components/Article.astro +105 -0
- package/dist/assets/starters/blog/src/components/Breadcrumbs.astro +25 -0
- package/dist/assets/starters/blog/src/components/EntryList.astro +54 -0
- package/dist/assets/starters/blog/src/components/LatestPosts.astro +30 -0
- package/dist/assets/starters/blog/src/components/MenuPanel.astro +46 -0
- package/dist/assets/starters/blog/src/components/NavLink.astro +27 -0
- package/dist/assets/starters/blog/src/components/NavMenu.astro +95 -0
- package/dist/assets/starters/blog/src/components/NotFound.astro +27 -0
- package/dist/assets/starters/blog/src/components/PostTerms.astro +33 -0
- package/dist/assets/starters/blog/src/components/RelatedPosts.astro +20 -0
- package/dist/assets/starters/blog/src/components/Search.astro +57 -0
- package/dist/assets/starters/blog/src/components/SearchDialog.astro +46 -0
- package/dist/assets/starters/blog/src/components/blocks/Testimonial.astro +18 -0
- package/dist/assets/starters/blog/src/env.d.ts +5 -0
- package/dist/assets/starters/blog/src/fonts.ts +15 -0
- package/dist/assets/starters/blog/src/icons.ts +12 -0
- package/dist/assets/starters/blog/src/layouts/Base.astro +426 -0
- package/dist/assets/starters/blog/src/middleware.ts +2 -0
- package/dist/assets/starters/blog/src/pages/[...path]/llms.txt.ts +40 -0
- package/dist/assets/starters/blog/src/pages/[...path]/rss.xml.ts +93 -0
- package/dist/assets/starters/blog/src/pages/[...path]/search.json.ts +23 -0
- package/dist/assets/starters/blog/src/pages/[...path].astro +449 -0
- package/dist/assets/starters/blog/src/pages/llms.txt.ts +21 -0
- package/dist/assets/starters/blog/src/pages/robots.txt.ts +13 -0
- package/dist/assets/starters/blog/src/pages/rss.xml.ts +25 -0
- package/dist/assets/starters/blog/src/pages/search.json.ts +21 -0
- package/dist/assets/starters/blog/src/pages/sitemap.xml.ts +23 -0
- package/dist/assets/starters/blog/src/settings.ts +312 -0
- package/dist/assets/starters/blog/src/strings.ts +269 -0
- package/dist/assets/starters/blog/src/styles/features/ambient.css +185 -0
- package/dist/assets/starters/blog/src/styles/features/article.css +215 -0
- package/dist/assets/starters/blog/src/styles/features/blocks.css +93 -0
- package/dist/assets/starters/blog/src/styles/features/carousel.css +266 -0
- package/dist/assets/starters/blog/src/styles/features/chrome-menus.css +264 -0
- package/dist/assets/starters/blog/src/styles/features/chrome.css +193 -0
- package/dist/assets/starters/blog/src/styles/features/comments.css +75 -0
- package/dist/assets/starters/blog/src/styles/features/icons.css +70 -0
- package/dist/assets/starters/blog/src/styles/features/languages.css +34 -0
- package/dist/assets/starters/blog/src/styles/features/live-surfaces.css +235 -0
- package/dist/assets/starters/blog/src/styles/features/motion-effects.css +217 -0
- package/dist/assets/starters/blog/src/styles/features/motion-scroll.css +309 -0
- package/dist/assets/starters/blog/src/styles/features/motion.css +254 -0
- package/dist/assets/starters/blog/src/styles/features/overlays.css +324 -0
- package/dist/assets/starters/blog/src/styles/features/prose.css +140 -0
- package/dist/assets/starters/blog/src/styles/features/search-dialog.css +144 -0
- package/dist/assets/starters/blog/src/styles/features/search.css +59 -0
- package/dist/assets/starters/blog/src/styles/features/surface-media.css +123 -0
- package/dist/assets/starters/blog/src/styles/features/surfaces.css +309 -0
- package/dist/assets/starters/blog/src/styles/features/tokens.css +100 -0
- package/dist/assets/starters/blog/src/styles/fonts.css +113 -0
- package/dist/assets/starters/blog/src/styles/global.css +30 -0
- package/dist/assets/starters/blog/src/theme.ts +48 -0
- package/dist/assets/starters/blog/tsconfig.json +5 -0
- package/dist/assets/studio/.assetsignore +2 -0
- package/dist/assets/studio/_headers +14 -0
- package/dist/assets/studio/assets/AccountPage-Dzr5d8sk.js +2 -0
- package/dist/assets/studio/assets/ActivityPage-C0HlgSI5.js +2 -0
- package/dist/assets/studio/assets/AgentModes-B81a2nUo.js +2 -0
- package/dist/assets/studio/assets/AgentsPage-BzCOyX4g.js +2 -0
- package/dist/assets/studio/assets/AnalyticsPage-7yb7DBOH.js +3 -0
- package/dist/assets/studio/assets/ApprovalsPage-_tqc02mk.js +3 -0
- package/dist/assets/studio/assets/Archive.es-C0uhxndN.js +2 -0
- package/dist/assets/studio/assets/ArrowClockwise.es-BA0pzb0Y.js +2 -0
- package/dist/assets/studio/assets/ArrowCounterClockwise.es-Bn2jikgp.js +2 -0
- package/dist/assets/studio/assets/ArrowSquareOut.es-BWeH9CSw.js +2 -0
- package/dist/assets/studio/assets/ArrowUp.es-Bh0pVk-S.js +2 -0
- package/dist/assets/studio/assets/ArrowsMerge.es-gfKOrxGd.js +2 -0
- package/dist/assets/studio/assets/ArticleEditorPage-Bcb81dXC.js +2 -0
- package/dist/assets/studio/assets/ArticlesPage-152INxny.js +2 -0
- package/dist/assets/studio/assets/AssetPage-ddWJt0hs.js +2 -0
- package/dist/assets/studio/assets/Audit-BCzf5vBq.js +2 -0
- package/dist/assets/studio/assets/AuditBadges-C4sNtzf9.js +2 -0
- package/dist/assets/studio/assets/AuthLayout-Cidy_2Lu.js +2 -0
- package/dist/assets/studio/assets/AutocompleteItem-drxau0wm3735nihq-C-iAptWL.js +2 -0
- package/dist/assets/studio/assets/AutomationsPage-Dc6g5v_v.js +2 -0
- package/dist/assets/studio/assets/BlockPropsForm-fj5gMAa0.js +2 -0
- package/dist/assets/studio/assets/BlockSection-CnUXl5Sg.js +2 -0
- package/dist/assets/studio/assets/BodyChanges-M0zcsivC.js +4 -0
- package/dist/assets/studio/assets/BookOpenText.es-BfXzf_Vn.js +2 -0
- package/dist/assets/studio/assets/BuildPage-C1Nwy4dt.js +2 -0
- package/dist/assets/studio/assets/CSPContext-ctyrgg64girv38ls-2UvfJ5m0.js +2 -0
- package/dist/assets/studio/assets/CalendarCheck.es-DWymuVqi.js +2 -0
- package/dist/assets/studio/assets/CalendarPlus.es-YGFiosIm.js +2 -0
- package/dist/assets/studio/assets/CaretLeft.es-BUnHcaxq.js +2 -0
- package/dist/assets/studio/assets/CaretRight.es-D_coqYai.js +2 -0
- package/dist/assets/studio/assets/CaretUp.es-DBg3pdpL.js +2 -0
- package/dist/assets/studio/assets/CheckCircle.es-XJ9Tr9Tu.js +2 -0
- package/dist/assets/studio/assets/ClockClockwise.es-1egHMnBk.js +2 -0
- package/dist/assets/studio/assets/ClockCountdown.es-BR_zz6vi.js +2 -0
- package/dist/assets/studio/assets/Columns-DGrju-Ia.js +2 -0
- package/dist/assets/studio/assets/ComboboxEmpty-o0q20j2l2syar9kx-Bf-42bzQ.js +2 -0
- package/dist/assets/studio/assets/CommandMenu-CH5CJ8Kg.js +2 -0
- package/dist/assets/studio/assets/CommentThreadControls-D04pICZT.js +2 -0
- package/dist/assets/studio/assets/CommentThreadPage-BP0N9T4z.js +2 -0
- package/dist/assets/studio/assets/CommenterPage-CeFR4pn4.js +2 -0
- package/dist/assets/studio/assets/Comments-CnfKPS2z.js +2 -0
- package/dist/assets/studio/assets/CommentsPage-BlP_knlf.js +2 -0
- package/dist/assets/studio/assets/CompositeItem-hzuk5x3e5zsfgnyj-XaSr50DG.js +2 -0
- package/dist/assets/studio/assets/CompositeRoot-g72lchaerolf5dc9-B2BokDIY.js +2 -0
- package/dist/assets/studio/assets/ConfirmDialog-DEHkMoTj.js +2 -0
- package/dist/assets/studio/assets/Crumbs-Ci_RdgHU.js +2 -0
- package/dist/assets/studio/assets/DeviceMobile.es-B4PwJ85Q.js +2 -0
- package/dist/assets/studio/assets/DeviceTablet.es-BpxIF5z6.js +2 -0
- package/dist/assets/studio/assets/DialogRoot-hl3genvzl9h8ridm-BRUDLjaw.js +2 -0
- package/dist/assets/studio/assets/DialogTrigger-g44cuem7n4wez533-B5K8lQD3.js +2 -0
- package/dist/assets/studio/assets/DirectionalIcon-BKKMj3KT.js +2 -0
- package/dist/assets/studio/assets/DotsThree.es-C-pT5SgE.js +2 -0
- package/dist/assets/studio/assets/DownloadSimple.es-Cq4-UK-k.js +2 -0
- package/dist/assets/studio/assets/EditorLayout-DVegYcZT.js +2 -0
- package/dist/assets/studio/assets/EditorPreview-DsZG4-oJ.js +2 -0
- package/dist/assets/studio/assets/Elevation-Ca3Q8sk-.js +2 -0
- package/dist/assets/studio/assets/ElevationRequest-B0_Q_gVT.js +2 -0
- package/dist/assets/studio/assets/EnvelopeSimple.es-g-hlqV74.js +2 -0
- package/dist/assets/studio/assets/Eye.es-DqovdtPt.js +2 -0
- package/dist/assets/studio/assets/EyeSlash.es-YoqigHIr.js +2 -0
- package/dist/assets/studio/assets/File.es-VYp_u8mn.js +2 -0
- package/dist/assets/studio/assets/FolderSimple.es-CbGWmBJc.js +2 -0
- package/dist/assets/studio/assets/FolderSimplePlus.es-C9Fl6ewY.js +2 -0
- package/dist/assets/studio/assets/ForgotPasswordPage-LNtBXfC8.js +2 -0
- package/dist/assets/studio/assets/Funnel.es-L1Sdi8-A.js +2 -0
- package/dist/assets/studio/assets/Gating-BdY3KxOv.js +2 -0
- package/dist/assets/studio/assets/Gauge.es-D0Pz39Z0.js +2 -0
- package/dist/assets/studio/assets/GitDiff.es-fB1csyEF.js +2 -0
- package/dist/assets/studio/assets/GlobeHemisphereWest.es-C34XiLRk.js +2 -0
- package/dist/assets/studio/assets/GovernanceDialog-DR0m4Bhp.js +2 -0
- package/dist/assets/studio/assets/HandPalm.es-CB5OlkOg.js +2 -0
- package/dist/assets/studio/assets/Heartbeat.es-DZziz772.js +2 -0
- package/dist/assets/studio/assets/Hourglass.es-aqS22q0y.js +2 -0
- package/dist/assets/studio/assets/House.es-BQyZgbwu.js +2 -0
- package/dist/assets/studio/assets/IconBase.es-BZDpYMnj.js +2 -0
- package/dist/assets/studio/assets/Image.es-BcOUS77O.js +2 -0
- package/dist/assets/studio/assets/InsetPanel-CHSg953_.js +2 -0
- package/dist/assets/studio/assets/InvitePage-CZ-4Clg6.js +2 -0
- package/dist/assets/studio/assets/Key.es-DE551dL3.js +2 -0
- package/dist/assets/studio/assets/Lightning.es-D0IF-5OW.js +2 -0
- package/dist/assets/studio/assets/LinkBreak.es-BvGThatb.js +2 -0
- package/dist/assets/studio/assets/LinkSimple.es-BB_3GfFO.js +2 -0
- package/dist/assets/studio/assets/ListBullets.es-DzSyoNA1.js +2 -0
- package/dist/assets/studio/assets/ListToolbar-CE70usqf.js +2 -0
- package/dist/assets/studio/assets/LockSimple.es-D3HQqnoN.js +2 -0
- package/dist/assets/studio/assets/LoginPage-BfUjD7n3.js +2 -0
- package/dist/assets/studio/assets/MediaPage-D7h4RBbB.js +2 -0
- package/dist/assets/studio/assets/MediaPicker-DlJLkaGR.js +2 -0
- package/dist/assets/studio/assets/MediaUpload-BpTyBTHG.js +2 -0
- package/dist/assets/studio/assets/MembersPage-BNu1FOBL.js +2 -0
- package/dist/assets/studio/assets/Menus-ChmyHrPc.js +2 -0
- package/dist/assets/studio/assets/Monitor.es-CeaPWdET.js +2 -0
- package/dist/assets/studio/assets/NavigationPage-C10U827y.js +2 -0
- package/dist/assets/studio/assets/NewSiteDialog-D7SUMMY3.js +2 -0
- package/dist/assets/studio/assets/PageEditorPage-DBJUAqjk.js +5 -0
- package/dist/assets/studio/assets/PagesPage-Bwm8b58m.js +2 -0
- package/dist/assets/studio/assets/PasswordField-Cn0g88_l.js +2 -0
- package/dist/assets/studio/assets/PencilSimple.es-CsZ-k9wK.js +2 -0
- package/dist/assets/studio/assets/Plus.es-XNm1OB5Q.js +2 -0
- package/dist/assets/studio/assets/PreviewPanel-ChFoJD1H.js +2 -0
- package/dist/assets/studio/assets/Prohibit.es-CAvPLn3v.js +2 -0
- package/dist/assets/studio/assets/ProhibitInset.es-DsnL02EX.js +2 -0
- package/dist/assets/studio/assets/ProjectPage-e5BSkkda.js +2 -0
- package/dist/assets/studio/assets/Question.es-BqQtQle2.js +2 -0
- package/dist/assets/studio/assets/Readers-CvhU7wCy.js +3 -0
- package/dist/assets/studio/assets/RedirectDialog-DCNKLV43.js +2 -0
- package/dist/assets/studio/assets/RedirectsPage-CR1Di-T6.js +2 -0
- package/dist/assets/studio/assets/ReleaseApproval-gkciKrWx.js +2 -0
- package/dist/assets/studio/assets/ReleasePage-BRa167d9.js +2 -0
- package/dist/assets/studio/assets/ReleaseParts-BEMf510p.js +2 -0
- package/dist/assets/studio/assets/ResetPasswordPage-DLpZlh7i.js +2 -0
- package/dist/assets/studio/assets/RowMenu-BTHdea9k.js +2 -0
- package/dist/assets/studio/assets/ScheduleCard-BQWUIwPX.js +2 -0
- package/dist/assets/studio/assets/ScheduleDialog-B-QQ_Z3F.js +2 -0
- package/dist/assets/studio/assets/ScheduleHistoryPage-wv3pKfaZ.js +2 -0
- package/dist/assets/studio/assets/ScheduleStatusBadge-DHGmEyDv.js +2 -0
- package/dist/assets/studio/assets/SchedulerStalled-DUmZxbV4.js +2 -0
- package/dist/assets/studio/assets/Schedules-R6HfROIM.js +3 -0
- package/dist/assets/studio/assets/SchedulesPage-CIbzmMag.js +2 -0
- package/dist/assets/studio/assets/ScopeBadge-DM2PO5Xk.js +2 -0
- package/dist/assets/studio/assets/SectionCard-SzT8t6oM.js +2 -0
- package/dist/assets/studio/assets/Seo-CYyFHl3G.js +2 -0
- package/dist/assets/studio/assets/SeoPreview-tarmyT2Y.js +2 -0
- package/dist/assets/studio/assets/Settings-C407Vxml.js +2 -0
- package/dist/assets/studio/assets/ShieldCheck.es-BOXTHH7h.js +2 -0
- package/dist/assets/studio/assets/ShieldWarning.es-DPxoDMpT.js +2 -0
- package/dist/assets/studio/assets/SignIn.es-jAzHZG6b.js +2 -0
- package/dist/assets/studio/assets/SiteAccessField-D34vIaAo.js +2 -0
- package/dist/assets/studio/assets/SiteOverviewPage-Bm0-f1bp.js +4 -0
- package/dist/assets/studio/assets/SiteSettingsPage-tq4SzyMQ.js +3 -0
- package/dist/assets/studio/assets/SitesPage-B2QS2zaq.js +4 -0
- package/dist/assets/studio/assets/SkillsPage-BtFk0bBw.js +3 -0
- package/dist/assets/studio/assets/SlidersHorizontal.es-Bg-14CTG.js +2 -0
- package/dist/assets/studio/assets/SnapshotsPage-cltqpJLv.js +2 -0
- package/dist/assets/studio/assets/SourceEditor-UA14mu6Q.js +16 -0
- package/dist/assets/studio/assets/Sparkle.es-OfyfGCDe.js +2 -0
- package/dist/assets/studio/assets/Star.es-DhrrAurR.js +2 -0
- package/dist/assets/studio/assets/StatTile-DyU32i8V.js +2 -0
- package/dist/assets/studio/assets/Status-BgB2wP8j.js +2 -0
- package/dist/assets/studio/assets/StatusActions-tY-DY4Wa.js +3 -0
- package/dist/assets/studio/assets/StopCircle.es-a6tRK2fc.js +2 -0
- package/dist/assets/studio/assets/Table.es-6S52tmK7.js +2 -0
- package/dist/assets/studio/assets/TableSkeleton-CbqPrk-p.js +2 -0
- package/dist/assets/studio/assets/TagsMigration-BggsWH7A.js +2 -0
- package/dist/assets/studio/assets/Taxonomy-CeQUBEeZ.js +2 -0
- package/dist/assets/studio/assets/TaxonomyPage-hm0h5Ug5.js +2 -0
- package/dist/assets/studio/assets/TermEditorPage-tRUgbC0f.js +2 -0
- package/dist/assets/studio/assets/TermPickers-cZIwRG5t.js +2 -0
- package/dist/assets/studio/assets/TerminalWindow.es-DRFBT_Ie.js +2 -0
- package/dist/assets/studio/assets/TextAa.es-CuNv62rI.js +2 -0
- package/dist/assets/studio/assets/Toast-BHyBhGXI.js +2 -0
- package/dist/assets/studio/assets/ToolbarRootContext-eqk40r8uh4h6r211-DBIMpkd1.js +2 -0
- package/dist/assets/studio/assets/TranslationList-Cc4K8uy_.js +2 -0
- package/dist/assets/studio/assets/TranslationsPage-MFJsWMgX.js +2 -0
- package/dist/assets/studio/assets/Trash.es-CxKLVMOQ.js +2 -0
- package/dist/assets/studio/assets/User.es-BLqDj7XT.js +2 -0
- package/dist/assets/studio/assets/UserCircle.es-D4ZFhshn.js +2 -0
- package/dist/assets/studio/assets/Warning.es-LZXqwHRF.js +2 -0
- package/dist/assets/studio/assets/XCircle.es-3fJHkmwA.js +2 -0
- package/dist/assets/studio/assets/account-BXWuYNDB.js +2 -0
- package/dist/assets/studio/assets/activity-C0we9-m8.js +2 -0
- package/dist/assets/studio/assets/agents-BBsojpg9.js +4 -0
- package/dist/assets/studio/assets/aiSettings.ar-BhZdR6qG.js +2 -0
- package/dist/assets/studio/assets/aiSettings.de-CXaCGWio.js +2 -0
- package/dist/assets/studio/assets/aiSettings.en-C8dj9xkg.js +2 -0
- package/dist/assets/studio/assets/aiSettings.es-avCBqU5-.js +2 -0
- package/dist/assets/studio/assets/aiSettings.fa-CKFnDB0Q.js +2 -0
- package/dist/assets/studio/assets/aiSettings.fr-35_A52Su.js +2 -0
- package/dist/assets/studio/assets/aiSettings.he-CbsdxPL1.js +2 -0
- package/dist/assets/studio/assets/aiSettings.hi-y4QpRZgC.js +2 -0
- package/dist/assets/studio/assets/aiSettings.id-CO4I-Nr1.js +2 -0
- package/dist/assets/studio/assets/aiSettings.it-B-OytWUY.js +2 -0
- package/dist/assets/studio/assets/aiSettings.ja-ClLGRpLX.js +2 -0
- package/dist/assets/studio/assets/aiSettings.ko-CedNf6wA.js +2 -0
- package/dist/assets/studio/assets/aiSettings.nl-DuEVpMb_.js +2 -0
- package/dist/assets/studio/assets/aiSettings.pl-wXUoviqN.js +2 -0
- package/dist/assets/studio/assets/aiSettings.pt-BR-Dm3HTskY.js +2 -0
- package/dist/assets/studio/assets/aiSettings.ru-DOWh4XHX.js +2 -0
- package/dist/assets/studio/assets/aiSettings.tr-xC2kyYK8.js +2 -0
- package/dist/assets/studio/assets/aiSettings.uk-DrE0ioQJ.js +2 -0
- package/dist/assets/studio/assets/aiSettings.zh-Hans-CBZ7ePsr.js +2 -0
- package/dist/assets/studio/assets/analytics-range-BqKm9TTo.js +2 -0
- package/dist/assets/studio/assets/analytics.ar-DFKPNZOf.js +2 -0
- package/dist/assets/studio/assets/analytics.de-CE2_NGRB.js +2 -0
- package/dist/assets/studio/assets/analytics.en-BjRe9VE9.js +2 -0
- package/dist/assets/studio/assets/analytics.es-DmWAl1lg.js +2 -0
- package/dist/assets/studio/assets/analytics.fa-YJ3Xk-rc.js +2 -0
- package/dist/assets/studio/assets/analytics.fr-BDyCguOG.js +2 -0
- package/dist/assets/studio/assets/analytics.he-BJ5kfLvV.js +2 -0
- package/dist/assets/studio/assets/analytics.hi-Cc9ZxzNg.js +2 -0
- package/dist/assets/studio/assets/analytics.id-CyUlDO82.js +2 -0
- package/dist/assets/studio/assets/analytics.it-NlLzAH3s.js +2 -0
- package/dist/assets/studio/assets/analytics.ja-DWrGTLXw.js +2 -0
- package/dist/assets/studio/assets/analytics.ko-BtZwKyZk.js +2 -0
- package/dist/assets/studio/assets/analytics.nl-CAny5E3q.js +2 -0
- package/dist/assets/studio/assets/analytics.pl-CpcS7l9b.js +2 -0
- package/dist/assets/studio/assets/analytics.pt-BR-BAK_LNqi.js +2 -0
- package/dist/assets/studio/assets/analytics.ru-BhvbWlC_.js +2 -0
- package/dist/assets/studio/assets/analytics.tr-aCP2FxF6.js +2 -0
- package/dist/assets/studio/assets/analytics.uk-CAGnu8AX.js +2 -0
- package/dist/assets/studio/assets/analytics.zh-Hans-NF-Le9KQ.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.ar-C5r58XUn.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.de-DVXtSeKl.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.en-Dn_QYKbo.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.es-BdkgtxLM.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.fa-CPuBleHO.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.fr-BSq7kZAb.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.he-Bt4A9H0D.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.hi-ii2QSWPw.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.id-CIZyEXYS.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.it-Sevpe-t4.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.ja-C_52hTsO.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.ko-Bpr2STd6.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.nl-DYfP6Uld.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.pl-BuJZVVIi.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.pt-BR-C4BNIRKw.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.ru-CiMbwjeg.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.tr-Csuqe5q9.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.uk-DVRqhoqA.js +2 -0
- package/dist/assets/studio/assets/analyticsSettings.zh-Hans-Y3Ei4xGe.js +2 -0
- package/dist/assets/studio/assets/api-Sbz4Rbu7.js +4 -0
- package/dist/assets/studio/assets/api-errors-FBnZYqCy.js +2 -0
- package/dist/assets/studio/assets/appearance.ar-CjHmVq1_.js +2 -0
- package/dist/assets/studio/assets/appearance.de-RD44SQgd.js +2 -0
- package/dist/assets/studio/assets/appearance.en-mFJuOtIH.js +2 -0
- package/dist/assets/studio/assets/appearance.es-Dn1vcVTZ.js +2 -0
- package/dist/assets/studio/assets/appearance.fa-DclMXXrQ.js +2 -0
- package/dist/assets/studio/assets/appearance.fr-CRqH6-pt.js +2 -0
- package/dist/assets/studio/assets/appearance.he-COP1zzas.js +2 -0
- package/dist/assets/studio/assets/appearance.hi-CnnlhSEx.js +2 -0
- package/dist/assets/studio/assets/appearance.id-aSp7eOOW.js +2 -0
- package/dist/assets/studio/assets/appearance.it-D4AXypSF.js +2 -0
- package/dist/assets/studio/assets/appearance.ja-BoMHIaWB.js +2 -0
- package/dist/assets/studio/assets/appearance.ko-BqysekcN.js +2 -0
- package/dist/assets/studio/assets/appearance.nl-DkQd7NMN.js +2 -0
- package/dist/assets/studio/assets/appearance.pl-YvYqfbPP.js +2 -0
- package/dist/assets/studio/assets/appearance.pt-BR-8R80D9mc.js +2 -0
- package/dist/assets/studio/assets/appearance.ru-CLiGYIyF.js +2 -0
- package/dist/assets/studio/assets/appearance.tr-T9TtsGiz.js +2 -0
- package/dist/assets/studio/assets/appearance.uk-C-AHWC43.js +2 -0
- package/dist/assets/studio/assets/appearance.zh-Hans-0HyzAidT.js +2 -0
- package/dist/assets/studio/assets/approvals-BB74ogKx.js +2 -0
- package/dist/assets/studio/assets/ar-6o5tS7uI.js +6 -0
- package/dist/assets/studio/assets/ar-CS6h3U7d.js +2 -0
- package/dist/assets/studio/assets/areArraysEqual-bcx201k1x9ziizym-DpJhDMgE.js +2 -0
- package/dist/assets/studio/assets/auth-BXDbnIpO.js +4 -0
- package/dist/assets/studio/assets/badge-dq8bx752b9dp7dst-D1xrG37q.js +2 -0
- package/dist/assets/studio/assets/banner-msnmqm7of2lck01x-DRzQHuca.js +2 -0
- package/dist/assets/studio/assets/bash-jpzh6zbf5237424t-bmc95DGl.js +1 -0
- package/dist/assets/studio/assets/blockIcon-DmMm6cQr.js +2 -0
- package/dist/assets/studio/assets/blocks-CvH3xqPj.js +3 -0
- package/dist/assets/studio/assets/body-blocks-D3YZCH_O.js +6 -0
- package/dist/assets/studio/assets/bodyEditor.ar-DIDA9Sn4.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.de-qfipY5HQ.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.en-B8FW4NF8.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.es-t2G9FCJv.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.fa-C4B5tIHm.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.fr-B93u2T8B.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.he-AjBYzDbH.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.hi-BL4B8EIK.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.id-DaiRImPk.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.it-COSRU27e.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.ja-4ELaS2Vi.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.ko-DzXpHAYj.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.nl-7a_XD53a.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.pl-o2L5fJfH.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.pt-BR-CRnn6BFL.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.ru-BS2txhVI.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.tr-DXm3ACCU.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.uk-D32F3Hv3.js +2 -0
- package/dist/assets/studio/assets/bodyEditor.zh-Hans-DzWUdSMX.js +2 -0
- package/dist/assets/studio/assets/build.ar-CvCBBGmP.js +2 -0
- package/dist/assets/studio/assets/build.de-Dh25xQiI.js +2 -0
- package/dist/assets/studio/assets/build.en-Byn4-h2I.js +2 -0
- package/dist/assets/studio/assets/build.es-ClTjZJkv.js +2 -0
- package/dist/assets/studio/assets/build.fa-BKTGFm97.js +2 -0
- package/dist/assets/studio/assets/build.fr-DWmKJ0b2.js +2 -0
- package/dist/assets/studio/assets/build.he-CMkIxK5A.js +2 -0
- package/dist/assets/studio/assets/build.hi-bSlyuwEN.js +2 -0
- package/dist/assets/studio/assets/build.id-DYXKpcM4.js +2 -0
- package/dist/assets/studio/assets/build.it-DshuVK4I.js +2 -0
- package/dist/assets/studio/assets/build.ja-DUQGeTAB.js +2 -0
- package/dist/assets/studio/assets/build.ko-BgOecD0b.js +2 -0
- package/dist/assets/studio/assets/build.nl-CqcFxeNS.js +2 -0
- package/dist/assets/studio/assets/build.pl-DOh2FAZL.js +2 -0
- package/dist/assets/studio/assets/build.pt-BR-DIS1WMA1.js +2 -0
- package/dist/assets/studio/assets/build.ru-CT93GG0h.js +2 -0
- package/dist/assets/studio/assets/build.tr-BJ066yTf.js +2 -0
- package/dist/assets/studio/assets/build.uk-foNFYsBE.js +2 -0
- package/dist/assets/studio/assets/build.zh-Hans-D0aEdiJR.js +2 -0
- package/dist/assets/studio/assets/button-pa1bq9b85hawg41a-BcGpLLER.js +2 -0
- package/dist/assets/studio/assets/calendar-locale-D4aJYygH.js +2 -0
- package/dist/assets/studio/assets/charts-DL9SbRU8.js +39 -0
- package/dist/assets/studio/assets/checkbox-lbo436duy7krxcsk-BmusNS83.js +6 -0
- package/dist/assets/studio/assets/clamp-jcjhzx71s6wt1rnc-D0kAXd-u.js +2 -0
- package/dist/assets/studio/assets/clipboard-text-gd6s3n1bqse9zgt8-DXnAaY6R.js +2 -0
- package/dist/assets/studio/assets/code-eu8kzwqnlhoyin24-_5wcX_Lj.js +2 -0
- package/dist/assets/studio/assets/collapsible-l8g94on4w7qfosmn-udgP1bfF.js +2 -0
- package/dist/assets/studio/assets/combobox-hdxtsm2gqcxxgfju-BzzDlvd3.js +2 -0
- package/dist/assets/studio/assets/comment-model-CArtcrfg.js +4 -0
- package/dist/assets/studio/assets/comment-settings-M6JXROM1.js +2 -0
- package/dist/assets/studio/assets/comments-B1PIozwq.js +2 -0
- package/dist/assets/studio/assets/comments.ar-7NPLRbXL.js +2 -0
- package/dist/assets/studio/assets/comments.de-BML9h-8i.js +2 -0
- package/dist/assets/studio/assets/comments.en-DXe1aP-J.js +2 -0
- package/dist/assets/studio/assets/comments.es-B9qnqc6H.js +2 -0
- package/dist/assets/studio/assets/comments.fa-q5l6LTXH.js +2 -0
- package/dist/assets/studio/assets/comments.fr-7tNmTLTd.js +2 -0
- package/dist/assets/studio/assets/comments.he-C6eZFBr_.js +2 -0
- package/dist/assets/studio/assets/comments.hi-BBW7jI8Z.js +2 -0
- package/dist/assets/studio/assets/comments.id-XxjsE0p0.js +2 -0
- package/dist/assets/studio/assets/comments.it-3QvytToA.js +2 -0
- package/dist/assets/studio/assets/comments.ja-SEFPl5By.js +2 -0
- package/dist/assets/studio/assets/comments.ko-B_laV8JW.js +2 -0
- package/dist/assets/studio/assets/comments.nl-sc5X58Ly.js +2 -0
- package/dist/assets/studio/assets/comments.pl-DF090zb0.js +2 -0
- package/dist/assets/studio/assets/comments.pt-BR-DItdiBpU.js +2 -0
- package/dist/assets/studio/assets/comments.ru-BQjNpLAH.js +2 -0
- package/dist/assets/studio/assets/comments.tr-B22wAK59.js +2 -0
- package/dist/assets/studio/assets/comments.uk-D7MXty4-.js +2 -0
- package/dist/assets/studio/assets/comments.zh-Hans-Cuxj9eiV.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.ar-CFEC5U3P.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.de-B7jRspXp.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.en-CjQdkMZH.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.es-hozx4ts0.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.fa-Idlvxfyt.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.fr-CUYc20e7.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.he-DXrfjejv.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.hi-Bc2QmPb_.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.id-BlqU87IM.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.it-BxURj-49.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.ja--0JkaZKL.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.ko-Bc51E0cW.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.nl-BAfV9gzf.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.pl-CqCY2bHr.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.pt-BR-C1W1xEAM.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.ru-BNldyy_U.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.tr-DoM2JLr_.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.uk-B07IS9-u.js +2 -0
- package/dist/assets/studio/assets/commentsSettings.zh-Hans-iQA7XsFn.js +2 -0
- package/dist/assets/studio/assets/composite-ab8dmdfoj6tmhcn1-DBTnwEaq.js +2 -0
- package/dist/assets/studio/assets/core-n0de50o00ej2ecfe-gtt67pEc.js +13 -0
- package/dist/assets/studio/assets/countries-110m-CmKPZPcB.json +1 -0
- package/dist/assets/studio/assets/createToastManager-onmoqrmr8zo02rif-DtEv4lxV.js +2 -0
- package/dist/assets/studio/assets/css-j501gxq1am2gnikh-BsVw1vtW.js +2 -0
- package/dist/assets/studio/assets/date-picker-BSgojKR2.js +1 -0
- package/dist/assets/studio/assets/date-picker-cotkexrpqu5tjikv-C9Knj8LQ.js +2 -0
- package/dist/assets/studio/assets/de-BN-GS_nX.js +6 -0
- package/dist/assets/studio/assets/de-COZWf0tz.js +2 -0
- package/dist/assets/studio/assets/deleteLabels-DwQes2_M.js +2 -0
- package/dist/assets/studio/assets/dialog-glpnivujociqs9lh-BefDeRGC.js +2 -0
- package/dist/assets/studio/assets/diff-g2re0kj6fh27rgg5-woXpYk--.js +2 -0
- package/dist/assets/studio/assets/editor-C9MhZu7g.js +218 -0
- package/dist/assets/studio/assets/empty-hkvg3is3uc6dj1at-BGNUzomN.js +2 -0
- package/dist/assets/studio/assets/engine-javascript-e9xj8hhz9xfqhpnu-CaOb2Rd2.js +142 -0
- package/dist/assets/studio/assets/engine-oniguruma-ias56ildu01gf939-BO8SA_1o.js +2 -0
- package/dist/assets/studio/assets/errors-svQ83Q62.js +2 -0
- package/dist/assets/studio/assets/es-C1E3agwU.js +6 -0
- package/dist/assets/studio/assets/es-Cpr7u5Cz.js +2 -0
- package/dist/assets/studio/assets/fa-8y3tvKw6.js +2 -0
- package/dist/assets/studio/assets/fa-VZyv0VcS.js +6 -0
- package/dist/assets/studio/assets/format-DGE2c-4V.js +2 -0
- package/dist/assets/studio/assets/fr-IaaUvy1z.js +6 -0
- package/dist/assets/studio/assets/fr-IvKa5dhW.js +2 -0
- package/dist/assets/studio/assets/getElementTransform-cuiqmjglkrz4db6c-CjP1vzKy.js +2 -0
- package/dist/assets/studio/assets/github-light-hir7yctc38258pwt-EUqPIrTm.js +2 -0
- package/dist/assets/studio/assets/graphql-n9vlzkvcp2j19p7a-qc8EicCw.js +2 -0
- package/dist/assets/studio/assets/hcl-ohpfnrffs96hzyj5-Dh228itO.js +2 -0
- package/dist/assets/studio/assets/he-Ca3dnXtb.js +6 -0
- package/dist/assets/studio/assets/he-DG-oJz8N.js +2 -0
- package/dist/assets/studio/assets/hi-BXkaH5dy.js +6 -0
- package/dist/assets/studio/assets/hi-CngsNxV4.js +2 -0
- package/dist/assets/studio/assets/html-nimj6ljkkifnc9ni-_gDbiBIU.js +2 -0
- package/dist/assets/studio/assets/i18n-Cjiv6Esx.js +7 -0
- package/dist/assets/studio/assets/id-BuNEmn7g.js +6 -0
- package/dist/assets/studio/assets/id-CrWAlC6J.js +2 -0
- package/dist/assets/studio/assets/index-Boved2Nz.js +4 -0
- package/dist/assets/studio/assets/index-DaI1wvdp.css +2 -0
- package/dist/assets/studio/assets/inertValue-e0o6qvuef83v78fk-DAETOorM.js +2 -0
- package/dist/assets/studio/assets/inline-copy-text-gbd7jhwpor27l4rq-PUCnUeNZ.js +2 -0
- package/dist/assets/studio/assets/input-c8lv9ulv0kortliq-Cum0c7P1.js +5 -0
- package/dist/assets/studio/assets/input-group-fjr4r5ax0x78ppax-e-s-YUWj.js +2 -0
- package/dist/assets/studio/assets/input-h5ox92gf13ge04hp-jfy1uD8s.js +2 -0
- package/dist/assets/studio/assets/intl-C22KAx_l.js +2 -0
- package/dist/assets/studio/assets/it-BbkGji4q.js +2 -0
- package/dist/assets/studio/assets/it-DEB0m7yM.js +6 -0
- package/dist/assets/studio/assets/ja-BJv09PXI.js +6 -0
- package/dist/assets/studio/assets/ja-CLpIeite.js +2 -0
- package/dist/assets/studio/assets/javascript-b6fq9bl50fdj6813-BgS3c2Ky.js +2 -0
- package/dist/assets/studio/assets/json-h2g0z143t3cs13d7-qhed-kSA.js +2 -0
- package/dist/assets/studio/assets/jsonc-jxlzvingck161eej-CYpm1nAK.js +2 -0
- package/dist/assets/studio/assets/jsx-jp7a33937sef92sn-Bz0zcwM4.js +2 -0
- package/dist/assets/studio/assets/ko-Cikp2ojH.js +6 -0
- package/dist/assets/studio/assets/ko-u0y0T6iL.js +2 -0
- package/dist/assets/studio/assets/languages-CbQ722uB.js +2 -0
- package/dist/assets/studio/assets/layer-dialog-j5ywmzs46ccg6oqy-DyWF5y24.js +2 -0
- package/dist/assets/studio/assets/link-cqyfjezntvr53rh7-CwZJ95XT.js +10 -0
- package/dist/assets/studio/assets/markdown-eybeqjr58vfygtz1-BYOwaDjH.js +2 -0
- package/dist/assets/studio/assets/marked.esm-DCShygCS.js +68 -0
- package/dist/assets/studio/assets/media-DqHiLqTz.js +21 -0
- package/dist/assets/studio/assets/media.ar-Dx9z7Ceu.js +2 -0
- package/dist/assets/studio/assets/media.de-D6vlydhW.js +2 -0
- package/dist/assets/studio/assets/media.en-BT47PRGz.js +2 -0
- package/dist/assets/studio/assets/media.es-CDRleryS.js +2 -0
- package/dist/assets/studio/assets/media.fa-DXam9tY_.js +2 -0
- package/dist/assets/studio/assets/media.fr-DKfkWH0D.js +2 -0
- package/dist/assets/studio/assets/media.he-COj2GX3h.js +2 -0
- package/dist/assets/studio/assets/media.hi-1a0-Fk6b.js +2 -0
- package/dist/assets/studio/assets/media.id-CAgR7je9.js +2 -0
- package/dist/assets/studio/assets/media.it-huMn4qfV.js +2 -0
- package/dist/assets/studio/assets/media.ja-DIiDhxEt.js +2 -0
- package/dist/assets/studio/assets/media.ko-CEzTT9w2.js +2 -0
- package/dist/assets/studio/assets/media.nl-DAcAkgwj.js +2 -0
- package/dist/assets/studio/assets/media.pl-BIZYXHQa.js +2 -0
- package/dist/assets/studio/assets/media.pt-BR-C1Xda0__.js +2 -0
- package/dist/assets/studio/assets/media.ru-DQzNvBXO.js +2 -0
- package/dist/assets/studio/assets/media.tr-BaqtqqOw.js +2 -0
- package/dist/assets/studio/assets/media.uk-DGk-oYWc.js +2 -0
- package/dist/assets/studio/assets/media.zh-Hans-CrLAn2xd.js +2 -0
- package/dist/assets/studio/assets/menus.ar-BABqU-We.js +2 -0
- package/dist/assets/studio/assets/menus.de-Ba8EWf-g.js +2 -0
- package/dist/assets/studio/assets/menus.en-CJ5d7ms0.js +2 -0
- package/dist/assets/studio/assets/menus.es-CA6YLxuk.js +2 -0
- package/dist/assets/studio/assets/menus.fa-C7O8Jr5Z.js +2 -0
- package/dist/assets/studio/assets/menus.fr-Bq5ukcBM.js +2 -0
- package/dist/assets/studio/assets/menus.he-BiYUZo7X.js +2 -0
- package/dist/assets/studio/assets/menus.hi-CPYsx5YL.js +2 -0
- package/dist/assets/studio/assets/menus.id-B5JAh3Kk.js +2 -0
- package/dist/assets/studio/assets/menus.it-DpdTqaL4.js +2 -0
- package/dist/assets/studio/assets/menus.ja-NH9k2gC3.js +2 -0
- package/dist/assets/studio/assets/menus.ko-C_MCO4Mp.js +2 -0
- package/dist/assets/studio/assets/menus.nl-CLflbcbY.js +2 -0
- package/dist/assets/studio/assets/menus.pl-DLXN0-US.js +2 -0
- package/dist/assets/studio/assets/menus.pt-BR-Djh61S7r.js +2 -0
- package/dist/assets/studio/assets/menus.ru-Dn7rmQ8H.js +2 -0
- package/dist/assets/studio/assets/menus.tr-BOeLMbHv.js +2 -0
- package/dist/assets/studio/assets/menus.uk-BVwLEGId.js +2 -0
- package/dist/assets/studio/assets/menus.zh-Hans-X7QVgirl.js +2 -0
- package/dist/assets/studio/assets/meter-majprsslwmpbmkzg-DBo7nISC.js +2 -0
- package/dist/assets/studio/assets/names-R-Dypr9Y.js +2 -0
- package/dist/assets/studio/assets/nl-BiYEXj4B.js +6 -0
- package/dist/assets/studio/assets/nl-CraQgOQ0.js +2 -0
- package/dist/assets/studio/assets/pagination-oaenm9t7ou3lmcgw-DjC4Zsp5.js +2 -0
- package/dist/assets/studio/assets/pl-Iaem81Jv.js +6 -0
- package/dist/assets/studio/assets/pl-Z99ZIGWL.js +2 -0
- package/dist/assets/studio/assets/preload-helper-DjzSQ1t3.js +1 -0
- package/dist/assets/studio/assets/pt-BR-CM8N0OoK.js +6 -0
- package/dist/assets/studio/assets/pt-BR-CjvH9SeS.js +2 -0
- package/dist/assets/studio/assets/python-nrpnmxq4r6yp6fcd-gzcpVVnB.js +2 -0
- package/dist/assets/studio/assets/radio-35dx7y6rjrezbjsp-DY9M1ouC.js +2 -0
- package/dist/assets/studio/assets/react-CDCuUAOg.js +10 -0
- package/dist/assets/studio/assets/readers.ar-YaMfL_Lj.js +2 -0
- package/dist/assets/studio/assets/readers.de-wAkjNmXo.js +2 -0
- package/dist/assets/studio/assets/readers.en-CbmwKSip.js +2 -0
- package/dist/assets/studio/assets/readers.es-Clx8q_tO.js +2 -0
- package/dist/assets/studio/assets/readers.fa-8cssg4YZ.js +2 -0
- package/dist/assets/studio/assets/readers.fr-JJ3OFBav.js +2 -0
- package/dist/assets/studio/assets/readers.he-B0yqdtyq.js +2 -0
- package/dist/assets/studio/assets/readers.hi-i7cAeleO.js +2 -0
- package/dist/assets/studio/assets/readers.id-BdaxiKFf.js +2 -0
- package/dist/assets/studio/assets/readers.it-DXf3Um9S.js +2 -0
- package/dist/assets/studio/assets/readers.ja-B2eb6ZUO.js +2 -0
- package/dist/assets/studio/assets/readers.ko-BX4g0Q7l.js +2 -0
- package/dist/assets/studio/assets/readers.nl-cWSL2Ylr.js +2 -0
- package/dist/assets/studio/assets/readers.pl-C4WdmkML.js +2 -0
- package/dist/assets/studio/assets/readers.pt-BR-x4dMCgC9.js +2 -0
- package/dist/assets/studio/assets/readers.ru-BukUgT1q.js +2 -0
- package/dist/assets/studio/assets/readers.tr-nYS49xYR.js +2 -0
- package/dist/assets/studio/assets/readers.uk-DbcRoxdR.js +2 -0
- package/dist/assets/studio/assets/readers.zh-Hans-DcGU8fSg.js +2 -0
- package/dist/assets/studio/assets/reading-keys-CBjq-Jc-.js +2 -0
- package/dist/assets/studio/assets/resolveAriaLabelledBy-nc8mdie5shy87nsb-asx42i8W.js +2 -0
- package/dist/assets/studio/assets/resolveValueLabel-hpmsash3ektitvnb-X_gYut6U.js +2 -0
- package/dist/assets/studio/assets/roles-B7USahqW.js +2 -0
- package/dist/assets/studio/assets/rolldown-runtime-hePW80VL.js +1 -0
- package/dist/assets/studio/assets/rolldown-runtime-hi7ti5xiuxsegr96-DK3Fl9T5.js +2 -0
- package/dist/assets/studio/assets/ru-2qsjd_Gm.js +6 -0
- package/dist/assets/studio/assets/ru-CwyHst7f.js +2 -0
- package/dist/assets/studio/assets/schedule-notices-DSgNUP07.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.ar-DjCN-gPq.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.de-CkLy189g.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.en-Ke9GgFqw.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.es-DMlXyS4t.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.fa-B8pDw0e4.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.fr-D93CiYDm.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.he-Ce8vr2xp.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.hi-ClQTAEIx.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.id-TZ0m_tpl.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.it-v63UBHwg.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.ja-DjNw2QpF.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.ko-D-tIgkq1.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.nl-CQM8NRDu.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.pl-CUY8YZhH.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.pt-BR-2YkyZTua.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.ru-D-XI8CtL.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.tr-ChWn742p.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.uk-Czj_lfWV.js +2 -0
- package/dist/assets/studio/assets/scheduleSettings.zh-Hans-B1hytO83.js +2 -0
- package/dist/assets/studio/assets/schedules-BHug03zB.js +2 -0
- package/dist/assets/studio/assets/schedules-api-B7c4AXSw.js +2 -0
- package/dist/assets/studio/assets/schedules-search-B-7SpriY.js +2 -0
- package/dist/assets/studio/assets/schedules.ar-fkzR2RAY.js +2 -0
- package/dist/assets/studio/assets/schedules.de-DbgcJ6cl.js +2 -0
- package/dist/assets/studio/assets/schedules.en-D7O8u4iy.js +2 -0
- package/dist/assets/studio/assets/schedules.es-C3AvgW6g.js +2 -0
- package/dist/assets/studio/assets/schedules.fa-1UfcjmAY.js +2 -0
- package/dist/assets/studio/assets/schedules.fr-KDBHjGVO.js +2 -0
- package/dist/assets/studio/assets/schedules.he-D8Pds1dL.js +2 -0
- package/dist/assets/studio/assets/schedules.hi-DNpu7GlX.js +2 -0
- package/dist/assets/studio/assets/schedules.id-FewyiLfv.js +2 -0
- package/dist/assets/studio/assets/schedules.it-CY96E2q3.js +2 -0
- package/dist/assets/studio/assets/schedules.ja-CN3N8MH6.js +2 -0
- package/dist/assets/studio/assets/schedules.ko-B9ah4ZVM.js +2 -0
- package/dist/assets/studio/assets/schedules.nl-u3tZ7Ckd.js +2 -0
- package/dist/assets/studio/assets/schedules.pl-Bofx1Ubo.js +2 -0
- package/dist/assets/studio/assets/schedules.pt-BR-BFxLBiyp.js +2 -0
- package/dist/assets/studio/assets/schedules.ru-C5ZnKmGt.js +2 -0
- package/dist/assets/studio/assets/schedules.tr-Bfi96rHj.js +2 -0
- package/dist/assets/studio/assets/schedules.uk-BU4Kj6Az.js +2 -0
- package/dist/assets/studio/assets/schedules.zh-Hans-DDsu_SeS.js +2 -0
- package/dist/assets/studio/assets/scrollable-b6m9ze1u7ps0q1qn-BDQyLiel.js +2 -0
- package/dist/assets/studio/assets/select-futox5zqr3r80y9a-5U5PtwHa.js +2 -0
- package/dist/assets/studio/assets/seo-C-YSZ4mD.js +2 -0
- package/dist/assets/studio/assets/serializeValue-ipcakiw32jb7kany-B_EucO5O.js +2 -0
- package/dist/assets/studio/assets/shellscript-i4m7lo8wi0f5bl8b-CLZ0U2zV.js +2 -0
- package/dist/assets/studio/assets/site-settings-Cmq0DkaT.js +2 -0
- package/dist/assets/studio/assets/skeleton-line-m9dyh126t9k07jvg-CHsT8Hs3.js +4 -0
- package/dist/assets/studio/assets/sql-hqp2eekl7qhmxe92-BsFa4tDR.js +2 -0
- package/dist/assets/studio/assets/stringifyLocale-bxsgxdnzaef2vcar-CkHjdQTJ.js +2 -0
- package/dist/assets/studio/assets/styles-kl02oyrlnld7arja-BX5Ypy0Y.js +2 -0
- package/dist/assets/studio/assets/switch-cqsvolm7h69z7vgg-sFG02Szv.js +2 -0
- package/dist/assets/studio/assets/table-yf8ul2e5nbemioi1-DNq9jhfh.js +2 -0
- package/dist/assets/studio/assets/tabs-gf57qqf1wcclaejq-Cay-6qhK.js +2 -0
- package/dist/assets/studio/assets/tag-input-ohfybx5dbxy3houy-DhZt3VBi.js +2 -0
- package/dist/assets/studio/assets/tanstack-BiJ_7SEB.js +3 -0
- package/dist/assets/studio/assets/taxonomy-S-y5xbUa.js +2 -0
- package/dist/assets/studio/assets/toml-oyqrgosuct25x413-CcmNWLt0.js +2 -0
- package/dist/assets/studio/assets/toolbar-h213d8e22yjh5cwq-CipG_KSA.js +2 -0
- package/dist/assets/studio/assets/tr-BK-gVqHj.js +6 -0
- package/dist/assets/studio/assets/tr-DOAJHdbH.js +2 -0
- package/dist/assets/studio/assets/tsx-pem8x69upvmibv6l-udAQXfEw.js +2 -0
- package/dist/assets/studio/assets/typescript-pe5y016phdwbgws7-bsJCZSQ-.js +2 -0
- package/dist/assets/studio/assets/uk-9ZV1-TPI.js +2 -0
- package/dist/assets/studio/assets/uk-PoqqfkaM.js +6 -0
- package/dist/assets/studio/assets/useAnalyticsCard-MXajmsui.js +2 -0
- package/dist/assets/studio/assets/useAriaLabelledBy-ox8dum59shmgypq1-gkARNgzh.js +2 -0
- package/dist/assets/studio/assets/useBaseUiId-lg1teubxudgin0w2-CrAc3DRu.js +3 -0
- package/dist/assets/studio/assets/useButton-h7s9aq1sfw6arawe-BbWTOEat.js +4 -0
- package/dist/assets/studio/assets/useChartPalette-DXG2lo2x.js +2 -0
- package/dist/assets/studio/assets/useClick-l0p0endoxrlp0ae5-Bbq8u-IC.js +2 -0
- package/dist/assets/studio/assets/useCompositeItem-p7090ga00dpqcg5j-CiGYXm-8.js +2 -0
- package/dist/assets/studio/assets/useDebounced-DmPVYKCM.js +2 -0
- package/dist/assets/studio/assets/useListNavigation-3nyjs362qcau34in-DAKhz5rq.js +2 -0
- package/dist/assets/studio/assets/useMe-z-wff5FW.js +2 -0
- package/dist/assets/studio/assets/usePaging-BiNrjkE2.js +2 -0
- package/dist/assets/studio/assets/usePendingApprovals-BRHKM3-1.js +2 -0
- package/dist/assets/studio/assets/useRender-onwjigxa00uch2ip-DueSv9wh.js +2 -0
- package/dist/assets/studio/assets/useRenderDialogRoot-lddunc01twftravv-CpXvIQfS.js +2 -0
- package/dist/assets/studio/assets/useSettled-C0sKy_Gd.js +2 -0
- package/dist/assets/studio/assets/useTriggerFocusGuards-lz7wt484xltizro4-Dd4azd_G.js +2 -0
- package/dist/assets/studio/assets/util-B4GkKYcU.js +2 -0
- package/dist/assets/studio/assets/vesper-g839e590k3dxnwh3-DdrHHSXu.js +2 -0
- package/dist/assets/studio/assets/w3c-keyname-BOAvb0qz.js +2 -0
- package/dist/assets/studio/assets/wasm-cpasy0o9lsjrm39j-BnjxR4X6.js +2 -0
- package/dist/assets/studio/assets/workflow-D1TOv5ea.js +2 -0
- package/dist/assets/studio/assets/yaml-kzk5ddyekbyha04v-rwi0_p6S.js +2 -0
- package/dist/assets/studio/assets/zh-Hans-BYiQm8Cr.js +6 -0
- package/dist/assets/studio/assets/zh-Hans-D57DCm9K.js +2 -0
- package/dist/assets/studio/index.html +111 -0
- package/dist/bin/cloudhal.d.ts +2 -0
- package/dist/bin/cloudhal.js +10 -0
- package/dist/src/assets.d.ts +37 -0
- package/dist/src/assets.js +189 -0
- package/dist/src/blocks.d.ts +26 -0
- package/dist/src/blocks.js +102 -0
- package/dist/src/cli/commands-content.d.ts +7 -0
- package/dist/src/cli/commands-content.js +145 -0
- package/dist/src/cli/commands-local.d.ts +13 -0
- package/dist/src/cli/commands-local.js +167 -0
- package/dist/src/cli/commands-ops.d.ts +6 -0
- package/dist/src/cli/commands-ops.js +175 -0
- package/dist/src/cli/commands-remote.d.ts +8 -0
- package/dist/src/cli/commands-remote.js +131 -0
- package/dist/src/cli/commands-site.d.ts +4 -0
- package/dist/src/cli/commands-site.js +52 -0
- package/dist/src/cli/help.d.ts +2 -0
- package/dist/src/cli/help.js +83 -0
- package/dist/src/cli/prompts.d.ts +7 -0
- package/dist/src/cli/prompts.js +35 -0
- package/dist/src/cli/types.d.ts +26 -0
- package/dist/src/cli/types.js +42 -0
- package/dist/src/cli.d.ts +174 -0
- package/dist/src/cli.js +95 -0
- package/dist/src/cloudflare/admin.d.ts +54 -0
- package/dist/src/cloudflare/admin.js +156 -0
- package/dist/src/cloudflare/build.d.ts +5 -0
- package/dist/src/cloudflare/build.js +36 -0
- package/dist/src/cloudflare/config.d.ts +1082 -0
- package/dist/src/cloudflare/config.js +458 -0
- package/dist/src/cloudflare/search.d.ts +37 -0
- package/dist/src/cloudflare/search.js +47 -0
- package/dist/src/cloudflare/wrangler.d.ts +27 -0
- package/dist/src/cloudflare/wrangler.js +133 -0
- package/dist/src/commands/ai.d.ts +39 -0
- package/dist/src/commands/ai.js +264 -0
- package/dist/src/commands/analytics.d.ts +94 -0
- package/dist/src/commands/analytics.js +347 -0
- package/dist/src/commands/astro.d.ts +22 -0
- package/dist/src/commands/astro.js +87 -0
- package/dist/src/commands/chrome.d.ts +22 -0
- package/dist/src/commands/chrome.js +90 -0
- package/dist/src/commands/comments-local.d.ts +40 -0
- package/dist/src/commands/comments-local.js +114 -0
- package/dist/src/commands/comments.d.ts +45 -0
- package/dist/src/commands/comments.js +285 -0
- package/dist/src/commands/deploy/attach.d.ts +2 -0
- package/dist/src/commands/deploy/attach.js +190 -0
- package/dist/src/commands/deploy/context.d.ts +21 -0
- package/dist/src/commands/deploy/context.js +22 -0
- package/dist/src/commands/deploy/options.d.ts +98 -0
- package/dist/src/commands/deploy/options.js +106 -0
- package/dist/src/commands/deploy/prepare.d.ts +55 -0
- package/dist/src/commands/deploy/prepare.js +298 -0
- package/dist/src/commands/deploy/resources.d.ts +26 -0
- package/dist/src/commands/deploy/resources.js +157 -0
- package/dist/src/commands/deploy/schedules-guard.d.ts +24 -0
- package/dist/src/commands/deploy/schedules-guard.js +95 -0
- package/dist/src/commands/deploy/served-sites.d.ts +28 -0
- package/dist/src/commands/deploy/served-sites.js +86 -0
- package/dist/src/commands/deploy/settings.d.ts +24 -0
- package/dist/src/commands/deploy/settings.js +115 -0
- package/dist/src/commands/deploy/ship.d.ts +46 -0
- package/dist/src/commands/deploy/ship.js +174 -0
- package/dist/src/commands/deploy/state.d.ts +30 -0
- package/dist/src/commands/deploy/state.js +102 -0
- package/dist/src/commands/deploy.d.ts +52 -0
- package/dist/src/commands/deploy.js +223 -0
- package/dist/src/commands/domain.d.ts +15 -0
- package/dist/src/commands/domain.js +44 -0
- package/dist/src/commands/init.d.ts +18 -0
- package/dist/src/commands/init.js +142 -0
- package/dist/src/commands/mail-local.d.ts +7 -0
- package/dist/src/commands/mail-local.js +30 -0
- package/dist/src/commands/mcp.d.ts +22 -0
- package/dist/src/commands/mcp.js +113 -0
- package/dist/src/commands/media-placeholders.d.ts +29 -0
- package/dist/src/commands/media-placeholders.js +239 -0
- package/dist/src/commands/media.d.ts +32 -0
- package/dist/src/commands/media.js +182 -0
- package/dist/src/commands/migrate.d.ts +16 -0
- package/dist/src/commands/migrate.js +63 -0
- package/dist/src/commands/motion.d.ts +29 -0
- package/dist/src/commands/motion.js +118 -0
- package/dist/src/commands/owner.d.ts +18 -0
- package/dist/src/commands/owner.js +39 -0
- package/dist/src/commands/render.d.ts +26 -0
- package/dist/src/commands/render.js +94 -0
- package/dist/src/commands/scheduler-local.d.ts +55 -0
- package/dist/src/commands/scheduler-local.js +237 -0
- package/dist/src/commands/schedules.d.ts +32 -0
- package/dist/src/commands/schedules.js +170 -0
- package/dist/src/commands/search.d.ts +14 -0
- package/dist/src/commands/search.js +53 -0
- package/dist/src/commands/site.d.ts +46 -0
- package/dist/src/commands/site.js +151 -0
- package/dist/src/commands/snapshot.d.ts +10 -0
- package/dist/src/commands/snapshot.js +50 -0
- package/dist/src/commands/studio.d.ts +29 -0
- package/dist/src/commands/studio.js +172 -0
- package/dist/src/commands/sync.d.ts +42 -0
- package/dist/src/commands/sync.js +211 -0
- package/dist/src/commands/tokens.d.ts +12 -0
- package/dist/src/commands/tokens.js +45 -0
- package/dist/src/config-search.d.ts +24 -0
- package/dist/src/config-search.js +41 -0
- package/dist/src/config.d.ts +168 -0
- package/dist/src/config.js +348 -0
- package/dist/src/index.d.ts +16 -0
- package/dist/src/index.js +82 -0
- package/dist/src/project-setup.d.ts +21 -0
- package/dist/src/project-setup.js +50 -0
- package/dist/src/render-chrome.d.ts +9 -0
- package/dist/src/render-chrome.js +140 -0
- package/dist/src/starter-files.d.ts +4 -0
- package/dist/src/starter-files.js +51 -0
- package/dist/src/studio-build.d.ts +43 -0
- package/dist/src/studio-build.js +138 -0
- package/package.json +63 -3
|
@@ -0,0 +1,449 @@
|
|
|
1
|
+
---
|
|
2
|
+
import config from "virtual:cloudhal/config";
|
|
3
|
+
import { archiveSummaries } from "@cloudhal/astro-renderer/archive";
|
|
4
|
+
import {
|
|
5
|
+
addCacheTags,
|
|
6
|
+
listCacheTag,
|
|
7
|
+
nodeCacheTag,
|
|
8
|
+
termCacheTag,
|
|
9
|
+
} from "@cloudhal/astro-renderer/cache-tags";
|
|
10
|
+
import { commentsJsonLd, loadComments } from "@cloudhal/astro-renderer/comments";
|
|
11
|
+
import { Comments, Sections } from "@cloudhal/astro-renderer/components";
|
|
12
|
+
import { EMBED_HEADER, usesEmbeds } from "@cloudhal/astro-renderer/embeds";
|
|
13
|
+
import { gateNotice } from "@cloudhal/astro-renderer/gates";
|
|
14
|
+
import {
|
|
15
|
+
alternatesFor,
|
|
16
|
+
linkLocalizer,
|
|
17
|
+
localeRequest,
|
|
18
|
+
localeUrl,
|
|
19
|
+
localizedPath,
|
|
20
|
+
localizeHead,
|
|
21
|
+
} from "@cloudhal/astro-renderer/locales";
|
|
22
|
+
import {
|
|
23
|
+
loadAssetIndex,
|
|
24
|
+
type MediaContext,
|
|
25
|
+
placeholderBudget,
|
|
26
|
+
} from "@cloudhal/astro-renderer/media";
|
|
27
|
+
import {
|
|
28
|
+
type ActiveNavItem,
|
|
29
|
+
type ActiveRoute,
|
|
30
|
+
activeItem,
|
|
31
|
+
derivedNavigation,
|
|
32
|
+
markActive,
|
|
33
|
+
markCurrent,
|
|
34
|
+
navigationCacheTags,
|
|
35
|
+
} from "@cloudhal/astro-renderer/navigation";
|
|
36
|
+
import { notFoundPage, notFoundPageIds } from "@cloudhal/astro-renderer/not-found";
|
|
37
|
+
import { resolveRoute, staticPaths } from "@cloudhal/astro-renderer/routing";
|
|
38
|
+
import { getSource, peerEditions } from "@cloudhal/astro-renderer/runtime";
|
|
39
|
+
import { searchAvailable } from "@cloudhal/astro-renderer/search";
|
|
40
|
+
import {
|
|
41
|
+
archiveHead,
|
|
42
|
+
entryHead,
|
|
43
|
+
pageHead,
|
|
44
|
+
searchHead,
|
|
45
|
+
siteOrigin,
|
|
46
|
+
} from "@cloudhal/astro-renderer/seo";
|
|
47
|
+
import { loadSurfaceSources, surfaceSources } from "@cloudhal/astro-renderer/surfaces";
|
|
48
|
+
import {
|
|
49
|
+
entryTaxonomy,
|
|
50
|
+
loadTaxonomyIndex,
|
|
51
|
+
relatedEntries,
|
|
52
|
+
termAncestors,
|
|
53
|
+
} from "@cloudhal/astro-renderer/taxonomy";
|
|
54
|
+
import type { ContentEntry } from "@cloudhal/core-contracts";
|
|
55
|
+
/**
|
|
56
|
+
* One route for the whole graph (RFC-0002 §7 order): a Page answers at its `path`; an article at
|
|
57
|
+
* `/<collection>/<slug>`; a category or tag archive at `<basePath>/<slug>[/page/<n>]`. Anything
|
|
58
|
+
* else asks the site's redirects (301 with the query kept), then answers 410 for a retired term
|
|
59
|
+
* or 404. Term feeds live next door in `[...path]/rss.xml.ts`. The header renders the `primary`
|
|
60
|
+
* menu, or the derived header without one; a `footer` menu replaces the footer links (RFC-0003).
|
|
61
|
+
* Articles end with reader comments when the site has them on (RFC-0007; `?comments=<n>` pages).
|
|
62
|
+
* `/search?q=` is the site search (RFC-0019 §3) where the deployment answers it: never cached,
|
|
63
|
+
* never indexed, and its form sits in the header. A miss answers 404 with the site's page at
|
|
64
|
+
* `/404` in the request's locale, else the theme's own not-found page in that locale.
|
|
65
|
+
*/
|
|
66
|
+
import { resolveChrome } from "@cloudhal/core-ts/chrome";
|
|
67
|
+
import { blockTypes } from "../blocks.ts";
|
|
68
|
+
import Archive from "../components/Archive.astro";
|
|
69
|
+
import Article from "../components/Article.astro";
|
|
70
|
+
import Breadcrumbs from "../components/Breadcrumbs.astro";
|
|
71
|
+
import MenuPanel from "../components/MenuPanel.astro";
|
|
72
|
+
import NotFound from "../components/NotFound.astro";
|
|
73
|
+
import PostTerms from "../components/PostTerms.astro";
|
|
74
|
+
import RelatedPosts from "../components/RelatedPosts.astro";
|
|
75
|
+
import Search from "../components/Search.astro";
|
|
76
|
+
import { iconSet } from "../icons.ts";
|
|
77
|
+
import Base from "../layouts/Base.astro";
|
|
78
|
+
import {
|
|
79
|
+
ARCHIVE_PAGE_SIZE,
|
|
80
|
+
blocks,
|
|
81
|
+
collectionIndex,
|
|
82
|
+
components,
|
|
83
|
+
NAV_CATEGORIES,
|
|
84
|
+
RELATED_POSTS,
|
|
85
|
+
strings,
|
|
86
|
+
} from "../theme.ts";
|
|
87
|
+
|
|
88
|
+
export async function getStaticPaths() {
|
|
89
|
+
const source = await getSource(config);
|
|
90
|
+
const site = await source.site();
|
|
91
|
+
const { pages } = await staticPaths(source, { perPage: ARCHIVE_PAGE_SIZE });
|
|
92
|
+
// RFC-0025 §2: the phone menu's page, unless the site has a page there.
|
|
93
|
+
if (!pages.includes("/menu")) pages.push("/menu");
|
|
94
|
+
// RFC-0033: every other locale on this host under its prefix (archives follow in a later step).
|
|
95
|
+
const domains = site.localization?.domains ?? {};
|
|
96
|
+
const urls = pages.map((p) => localizedPath(site, site.defaultLocale, p));
|
|
97
|
+
for (const locale of site.locales)
|
|
98
|
+
if (locale !== site.defaultLocale && domains[locale] === undefined)
|
|
99
|
+
for (const p of [
|
|
100
|
+
...(await staticPaths(source, { perPage: ARCHIVE_PAGE_SIZE, locale })).pages,
|
|
101
|
+
"/menu",
|
|
102
|
+
])
|
|
103
|
+
urls.push(localizedPath(site, locale, p));
|
|
104
|
+
return [...new Set(urls)].map((path) => ({
|
|
105
|
+
params: { path: path === "/" ? undefined : path.slice(1) },
|
|
106
|
+
}));
|
|
107
|
+
}
|
|
108
|
+
|
|
109
|
+
const source = await getSource(config, Astro);
|
|
110
|
+
if (!source) return new Response("This site has not been published yet.", { status: 503 });
|
|
111
|
+
const site = await source.site();
|
|
112
|
+
const requested = Astro.params.path ? `/${Astro.params.path}` : "/";
|
|
113
|
+
// RFC-0033 §4: the locale is in the path prefix or the host; a non-canonical locale URL moves.
|
|
114
|
+
const lr = localeRequest(site, Astro.url.host, requested);
|
|
115
|
+
if (lr.redirect !== undefined)
|
|
116
|
+
return new Response(null, {
|
|
117
|
+
status: 301,
|
|
118
|
+
headers: { location: `${lr.redirect}${Astro.url.search}` },
|
|
119
|
+
});
|
|
120
|
+
const locale = lr.locale;
|
|
121
|
+
const path = lr.path;
|
|
122
|
+
let route = await resolveRoute(source, path, {
|
|
123
|
+
perPage: ARCHIVE_PAGE_SIZE,
|
|
124
|
+
search: Astro.url.search,
|
|
125
|
+
locale,
|
|
126
|
+
});
|
|
127
|
+
// RFC-0033 §4: a site may show a missing translation in its original language, with a notice,
|
|
128
|
+
// never indexed and never in `hreflang` (`localization.fallback`).
|
|
129
|
+
let shownIn = locale;
|
|
130
|
+
if (
|
|
131
|
+
route.kind === "not-found" &&
|
|
132
|
+
locale !== site.defaultLocale &&
|
|
133
|
+
site.localization?.fallback === "default-with-notice"
|
|
134
|
+
) {
|
|
135
|
+
const original = await resolveRoute(source, path, {
|
|
136
|
+
perPage: ARCHIVE_PAGE_SIZE,
|
|
137
|
+
search: Astro.url.search,
|
|
138
|
+
locale: site.defaultLocale,
|
|
139
|
+
});
|
|
140
|
+
if (original.kind === "page" || original.kind === "entry") {
|
|
141
|
+
route = original;
|
|
142
|
+
shownIn = site.defaultLocale;
|
|
143
|
+
}
|
|
144
|
+
}
|
|
145
|
+
if (route.kind === "redirect")
|
|
146
|
+
return new Response(null, {
|
|
147
|
+
status: route.status,
|
|
148
|
+
headers: {
|
|
149
|
+
location: route.location.startsWith("/")
|
|
150
|
+
? localizedPath(site, locale, route.location)
|
|
151
|
+
: route.location,
|
|
152
|
+
},
|
|
153
|
+
});
|
|
154
|
+
if (route.kind === "gone") return new Response(null, { status: 410 });
|
|
155
|
+
// RFC-0025 §2: `/menu` is the phone menu as a page (the menu link's target without JavaScript),
|
|
156
|
+
// unless the site has a page there.
|
|
157
|
+
const isMenu = route.kind === "not-found" && path === "/menu";
|
|
158
|
+
// Reader comments (RFC-0007): tags the response `cloudhal-comments-<id>` and reads the thread;
|
|
159
|
+
// `?comments=<n>` past the last page is a miss.
|
|
160
|
+
const comments =
|
|
161
|
+
route.kind === "entry" ? await loadComments(config, Astro, route.entry, { locale }) : undefined;
|
|
162
|
+
// A miss (RFC-0033 §4) answers 404 in the request's locale: the site's page at `/404` (its
|
|
163
|
+
// translation, or the original under `default-with-notice`), else the theme's NotFound below.
|
|
164
|
+
// The authored page answers 404 at its own path too.
|
|
165
|
+
const notFound =
|
|
166
|
+
(!isMenu && (route.kind === "not-found" || route.kind === "feed")) ||
|
|
167
|
+
comments?.notFound === true ||
|
|
168
|
+
(route.kind === "page" && notFoundPageIds(await source.pages()).has(route.page.id));
|
|
169
|
+
if (notFound) {
|
|
170
|
+
Astro.response.status = 404;
|
|
171
|
+
const authored = route.kind === "page" ? route.page : await notFoundPage(source, site, locale);
|
|
172
|
+
route = authored ? { kind: "page", page: authored } : { kind: "not-found" };
|
|
173
|
+
shownIn = authored?.locale ?? locale;
|
|
174
|
+
}
|
|
175
|
+
|
|
176
|
+
// Search results (RFC-0019 §3) are per query: never in the edge cache, never in search engines.
|
|
177
|
+
if (route.kind === "search") {
|
|
178
|
+
Astro.response.headers.set("cache-control", "no-store");
|
|
179
|
+
Astro.response.headers.set("cloudflare-cdn-cache-control", "no-store");
|
|
180
|
+
Astro.response.headers.set("x-robots-tag", "noindex");
|
|
181
|
+
}
|
|
182
|
+
const origin = siteOrigin(site, Astro.url);
|
|
183
|
+
// Internal links of a localized page stay in its locale (`src/middleware.ts`).
|
|
184
|
+
const links = await linkLocalizer(source, locale, origin);
|
|
185
|
+
if (links) (Astro.locals as { cloudhalLinks?: (p: string) => string }).cloudhalLinks = links;
|
|
186
|
+
// Media (RFC-0004): assets resolve `assetId` and `asset:<id>`; previews never use transformations.
|
|
187
|
+
const media: MediaContext = {
|
|
188
|
+
assets: await loadAssetIndex(source),
|
|
189
|
+
locale,
|
|
190
|
+
defaultLocale: site.defaultLocale,
|
|
191
|
+
transform: config.media?.transform ?? "none",
|
|
192
|
+
preview: Astro.response.headers.get("x-cloudhal-mode") === "preview",
|
|
193
|
+
onMiss: (id) =>
|
|
194
|
+
console.warn(`cloudhal: ${path} refers to ${id}, which this version does not have`),
|
|
195
|
+
// RFC-0026: icons in the site's weight, the theme's own drawings over the set's.
|
|
196
|
+
icons: { weight: String(site.theme.config?.iconWeight ?? "regular"), set: iconSet },
|
|
197
|
+
// RFC-0028: one placeholder allowance for the whole page.
|
|
198
|
+
budget: placeholderBudget(),
|
|
199
|
+
};
|
|
200
|
+
const t = strings(locale, site.theme.config?.strings);
|
|
201
|
+
const index = route.kind === "archive" ? route.index : await loadTaxonomyIndex(source, locale);
|
|
202
|
+
const primary = await source.navigation("primary", locale, { collectionIndex });
|
|
203
|
+
const footerMenu = await source.navigation("footer", locale, { collectionIndex });
|
|
204
|
+
const derivedCategories = !primary && NAV_CATEGORIES;
|
|
205
|
+
const needsEntries = derivedCategories || (route.kind === "entry" && RELATED_POSTS > 0);
|
|
206
|
+
const all = needsEntries ? await source.allEntries(locale) : [];
|
|
207
|
+
const categories = derivedCategories
|
|
208
|
+
? archiveSummaries(
|
|
209
|
+
index,
|
|
210
|
+
all.filter((e) => e.status === "published"),
|
|
211
|
+
).filter((a) => a.taxonomy.key === "category" && !a.term.parentId)
|
|
212
|
+
: [];
|
|
213
|
+
// The active item: exact path, longest prefix, then the entry's category or collection.
|
|
214
|
+
const activeRoute: ActiveRoute = {
|
|
215
|
+
path,
|
|
216
|
+
...(route.kind === "entry" ? { entry: route.entry } : {}),
|
|
217
|
+
...(route.kind === "archive" ? { archiveTermId: route.archive.term.id } : {}),
|
|
218
|
+
};
|
|
219
|
+
const ancestors = (id: string) => {
|
|
220
|
+
const term = index.terms.get(id);
|
|
221
|
+
return term ? termAncestors(index, term).map((a) => a.id) : [];
|
|
222
|
+
};
|
|
223
|
+
// The derived header lists top-level pages, never the not-found page.
|
|
224
|
+
const allPages = await source.pages();
|
|
225
|
+
const notFoundIds = notFoundPageIds(allPages);
|
|
226
|
+
const navPages = allPages.filter((p) => !notFoundIds.has(p.id));
|
|
227
|
+
const nav = primary
|
|
228
|
+
? markActive(primary, activeItem(primary, activeRoute, ancestors))
|
|
229
|
+
: markCurrent(derivedNavigation(site, navPages, categories, locale), path);
|
|
230
|
+
const footer = footerMenu
|
|
231
|
+
? markActive(footerMenu, activeItem(footerMenu, activeRoute, ancestors))
|
|
232
|
+
: undefined;
|
|
233
|
+
// RFC-0025: the page's header and footer, and the menus they name beyond primary and footer.
|
|
234
|
+
const chrome = resolveChrome(site, route.kind === "page" ? route.page : undefined);
|
|
235
|
+
const menus: Record<string, ActiveNavItem[] | undefined> = { primary: nav, footer };
|
|
236
|
+
const extraMenus = await Promise.all(
|
|
237
|
+
chrome.menus
|
|
238
|
+
.filter((key) => !(key in menus))
|
|
239
|
+
.map(async (key) => [key, await source.navigation(key, locale, { collectionIndex })] as const),
|
|
240
|
+
);
|
|
241
|
+
for (const [key, menu] of extraMenus)
|
|
242
|
+
menus[key] = menu ? markActive(menu, activeItem(menu, activeRoute, ancestors)) : undefined;
|
|
243
|
+
// Edge-cache tags next to the site tag (published responses on Cloudflare only), so a publish
|
|
244
|
+
// purges only the responses that show what changed (`cache-tags.ts`). The tags a purge must reach
|
|
245
|
+
// come first; the header's categories (names shown on every page) last.
|
|
246
|
+
const tags: string[] = [];
|
|
247
|
+
|
|
248
|
+
let entries: Record<string, ContentEntry[]> = {};
|
|
249
|
+
let surfaces: Awaited<ReturnType<typeof loadSurfaceSources>> = {};
|
|
250
|
+
let terms = entryTaxonomy(undefined, { tags: [] });
|
|
251
|
+
let related: ContentEntry[] = [];
|
|
252
|
+
if (route.kind === "page") {
|
|
253
|
+
tags.push(nodeCacheTag(route.page.id));
|
|
254
|
+
// Lists of the site's entries change with any entry: the site's list tag covers them.
|
|
255
|
+
if (
|
|
256
|
+
route.page.sections.some(
|
|
257
|
+
(s) => s.kind === "contentList" || (s.kind === "surface" && surfaceSources(s).length > 0),
|
|
258
|
+
)
|
|
259
|
+
)
|
|
260
|
+
tags.push(listCacheTag(site.id));
|
|
261
|
+
// Generated UI (RFC-0020 §3): entry sources load from the same source as the page.
|
|
262
|
+
surfaces = await loadSurfaceSources(source, route.page.sections);
|
|
263
|
+
const collections = [
|
|
264
|
+
...new Set(
|
|
265
|
+
route.page.sections.filter((s) => s.kind === "contentList").map((s) => s.collection),
|
|
266
|
+
),
|
|
267
|
+
];
|
|
268
|
+
entries = Object.fromEntries(
|
|
269
|
+
await Promise.all(collections.map(async (c) => [c, await source.entries(c, locale)])),
|
|
270
|
+
);
|
|
271
|
+
// A section with a `filter` (RFC-0002 §5) lists its own entries, keyed by section id.
|
|
272
|
+
for (const s of route.page.sections)
|
|
273
|
+
if (s.kind === "contentList" && s.filter)
|
|
274
|
+
entries[s.id] = await source
|
|
275
|
+
.entriesByFilter(`collection:${s.collection}+${s.filter}`, { locale })
|
|
276
|
+
.catch((err: unknown) => {
|
|
277
|
+
console.warn(`cloudhal: section ${s.id} has an invalid filter: ${String(err)}`);
|
|
278
|
+
return [];
|
|
279
|
+
});
|
|
280
|
+
} else if (route.kind === "entry") {
|
|
281
|
+
terms = entryTaxonomy(index, route.entry);
|
|
282
|
+
related = relatedEntries(route.entry, all, index, RELATED_POSTS);
|
|
283
|
+
tags.push(
|
|
284
|
+
nodeCacheTag(route.entry.id),
|
|
285
|
+
// the related posts it links to: a retitled or removed one purges this page too
|
|
286
|
+
...related.map((e) => nodeCacheTag(e.id)),
|
|
287
|
+
...terms.groups.flatMap((g) => g.terms.map((s) => termCacheTag(s.id))),
|
|
288
|
+
...terms.trail.map((s) => termCacheTag(s.id)),
|
|
289
|
+
);
|
|
290
|
+
} else if (route.kind === "archive") {
|
|
291
|
+
tags.push(
|
|
292
|
+
// which entries the archive lists (and how many pages it has) changes with its membership
|
|
293
|
+
listCacheTag(route.archive.term.id),
|
|
294
|
+
termCacheTag(route.archive.term.id),
|
|
295
|
+
...route.archive.trail.map((s) => termCacheTag(s.id)),
|
|
296
|
+
...route.archive.entries.map((e) => nodeCacheTag(e.id)),
|
|
297
|
+
);
|
|
298
|
+
}
|
|
299
|
+
tags.push(
|
|
300
|
+
...categories.map((a) => termCacheTag(a.term.id)),
|
|
301
|
+
...navigationCacheTags(primary),
|
|
302
|
+
...navigationCacheTags(footerMenu),
|
|
303
|
+
...extraMenus.flatMap(([, menu]) => navigationCacheTags(menu)),
|
|
304
|
+
);
|
|
305
|
+
// RFC-0025 §2: the footer's surface region loads its entry sources like a page's surfaces.
|
|
306
|
+
const regionSources = chrome.footer.region
|
|
307
|
+
? await loadSurfaceSources(source, [chrome.footer.region])
|
|
308
|
+
: {};
|
|
309
|
+
if (chrome.footer.region && surfaceSources(chrome.footer.region).length > 0)
|
|
310
|
+
tags.push(listCacheTag(site.id));
|
|
311
|
+
addCacheTags(Astro.response.headers, tags);
|
|
312
|
+
|
|
313
|
+
// Video players (RFC-0015 §4): the Site Worker allows their frames on this page only.
|
|
314
|
+
if (
|
|
315
|
+
(route.kind === "page" && usesEmbeds({ sections: route.page.sections })) ||
|
|
316
|
+
(route.kind === "entry" &&
|
|
317
|
+
route.entry.body.format === "markdown" &&
|
|
318
|
+
usesEmbeds({ markdown: route.entry.body.value }))
|
|
319
|
+
)
|
|
320
|
+
Astro.response.headers.set(EMBED_HEADER, "1");
|
|
321
|
+
|
|
322
|
+
// Time gates (RFC-0008 §7.3): the published source never returns an embargoed or expired page or
|
|
323
|
+
// entry (it is a 404), so a gate that is closed here means a preview or `cloudhal dev`: say so.
|
|
324
|
+
const gated = route.kind === "page" ? route.page : route.kind === "entry" ? route.entry : undefined;
|
|
325
|
+
const gate = gated ? gateNotice(gated, site, locale, Date.now()) : undefined;
|
|
326
|
+
const notice = gate && { state: gate.state, at: gate.at, text: t[gate.state](gate.when) };
|
|
327
|
+
|
|
328
|
+
const head =
|
|
329
|
+
route.kind === "page"
|
|
330
|
+
? pageHead(site, route.page, origin, media)
|
|
331
|
+
: route.kind === "entry"
|
|
332
|
+
? entryHead(site, route.entry, origin, terms, media, commentsJsonLd(comments, origin))
|
|
333
|
+
: route.kind === "archive"
|
|
334
|
+
? archiveHead(site, route.archive, origin, media)
|
|
335
|
+
: route.kind === "search"
|
|
336
|
+
? searchHead(site, route.search.query, origin, locale)
|
|
337
|
+
: {
|
|
338
|
+
...searchHead(site, "", origin, locale),
|
|
339
|
+
title: `${isMenu ? t.menu : t.notFoundTitle} · ${site.name}`,
|
|
340
|
+
canonical: `${origin}${isMenu ? "/menu" : path}`,
|
|
341
|
+
};
|
|
342
|
+
// RFC-0033 §4: self-canonical in the locale, `lang`/`dir`, and the `hreflang` set from the group.
|
|
343
|
+
const fallback = shownIn !== locale;
|
|
344
|
+
const alternates =
|
|
345
|
+
gated && !fallback && !notFound
|
|
346
|
+
? // RFC-0034 §6: language editions published by other sites of the project, on their hosts.
|
|
347
|
+
await alternatesFor(source, gated, origin, await peerEditions(config, gated))
|
|
348
|
+
: [];
|
|
349
|
+
const localized = localizeHead(head, site, {
|
|
350
|
+
locale: shownIn,
|
|
351
|
+
origin,
|
|
352
|
+
alternates,
|
|
353
|
+
...(gated?.translation ? { translation: gated.translation } : {}),
|
|
354
|
+
});
|
|
355
|
+
const meta = fallback || notFound ? { ...localized, robots: "noindex,follow" } : localized;
|
|
356
|
+
Astro.response.headers.set("content-language", shownIn);
|
|
357
|
+
// The reader's notice (RFC-0033 §4): machine output until a person reviews it (or always, when
|
|
358
|
+
// the site asks), a page shown in its original language, each with a link to the original.
|
|
359
|
+
const original = alternates.find((a) => a.original && !a.current);
|
|
360
|
+
const tr = gated?.translation;
|
|
361
|
+
const machine =
|
|
362
|
+
tr?.method === "machine" ||
|
|
363
|
+
(tr?.method === "machine-reviewed" && site.localization?.label === "always");
|
|
364
|
+
const translationNotice = fallback
|
|
365
|
+
? { text: t.notTranslated }
|
|
366
|
+
: machine
|
|
367
|
+
? {
|
|
368
|
+
text: tr?.review ? t.machineReviewed : t.machineTranslated,
|
|
369
|
+
...(original
|
|
370
|
+
? { original: { href: original.href, text: t.readOriginal, lang: original.locale } }
|
|
371
|
+
: {}),
|
|
372
|
+
}
|
|
373
|
+
: undefined;
|
|
374
|
+
// The language switcher: this page's versions, else each language's home page.
|
|
375
|
+
const nativeName = (l: string) => {
|
|
376
|
+
try {
|
|
377
|
+
return new Intl.DisplayNames([l], { type: "language" }).of(l) ?? l;
|
|
378
|
+
} catch {
|
|
379
|
+
return l;
|
|
380
|
+
}
|
|
381
|
+
};
|
|
382
|
+
// RFC-0034 §6: languages a language edition publishes (another site) follow the site's own.
|
|
383
|
+
const editionLocales = alternates
|
|
384
|
+
.map((a) => a.locale)
|
|
385
|
+
.filter((l) => l !== "x-default" && !site.locales.includes(l));
|
|
386
|
+
const languages =
|
|
387
|
+
site.locales.length + editionLocales.length > 1
|
|
388
|
+
? {
|
|
389
|
+
label: t.languages,
|
|
390
|
+
items: [...site.locales, ...editionLocales].map((l) => ({
|
|
391
|
+
locale: l,
|
|
392
|
+
name: nativeName(l),
|
|
393
|
+
href: alternates.find((a) => a.locale === l)?.href ?? localeUrl(site, l, "/", origin),
|
|
394
|
+
current: l === locale,
|
|
395
|
+
})),
|
|
396
|
+
}
|
|
397
|
+
: undefined;
|
|
398
|
+
const searchForm = searchAvailable(config, source)
|
|
399
|
+
? {
|
|
400
|
+
label: t.searchLabel,
|
|
401
|
+
placeholder: t.searchPlaceholder,
|
|
402
|
+
button: t.search,
|
|
403
|
+
modal: t.searchModal,
|
|
404
|
+
...(route.kind === "search" ? { query: route.search.query } : {}),
|
|
405
|
+
}
|
|
406
|
+
: undefined;
|
|
407
|
+
---
|
|
408
|
+
<Base site={site} meta={meta} nav={nav} footer={footer} notice={notice} translation={translationNotice} languages={languages} search={searchForm} motion={route.kind === "page" ? route.page.motion : undefined} chrome={chrome} menus={menus} words={{ skip: t.skipToContent, main: t.mainMenu, secondary: t.secondaryMenu, menu: t.menu, closeMenu: t.closeMenu, footer: t.footerMenu, legal: t.legalMenu, social: t.socialLinks, credit: t.builtWith }} barWords={{ announcement: t.announcement, dismiss: t.dismiss, privacy: t.privacy, consentNotice: t.consentNotice, consentChoices: t.consentChoices, consentOk: t.consentOk, consentAll: t.consentAll, consentEssential: t.consentEssential, privacyPolicy: t.privacyPolicy, copied: t.copied, linkCopied: t.linkCopied }}>
|
|
409
|
+
{chrome.footer.region && (
|
|
410
|
+
<Fragment slot="footer-region">
|
|
411
|
+
<Sections sections={[chrome.footer.region]} entries={{}} components={components} blocks={blocks} blockTypes={blockTypes} media={media} surfaceSources={regionSources} />
|
|
412
|
+
</Fragment>
|
|
413
|
+
)}
|
|
414
|
+
{isMenu && (
|
|
415
|
+
<div class="ch-menu-page">
|
|
416
|
+
<h1>{t.menu}</h1>
|
|
417
|
+
<MenuPanel
|
|
418
|
+
iconWeight={media.icons?.weight}
|
|
419
|
+
nav={chrome.header.nav === "primary" ? nav : (menus[chrome.header.nav] ?? [])}
|
|
420
|
+
utility={chrome.header.utility ? (menus[chrome.header.utility] ?? []) : []}
|
|
421
|
+
search={searchForm}
|
|
422
|
+
words={{ main: t.mainMenu, secondary: t.secondaryMenu }}
|
|
423
|
+
idSuffix="page"
|
|
424
|
+
/>
|
|
425
|
+
</div>
|
|
426
|
+
)}
|
|
427
|
+
{route.kind === "page" && (
|
|
428
|
+
<Sections sections={route.page.sections} entries={entries} components={components} blocks={blocks} blockTypes={blockTypes} media={media} surfaceSources={surfaces} />
|
|
429
|
+
)}
|
|
430
|
+
{route.kind === "entry" && (
|
|
431
|
+
<Fragment>
|
|
432
|
+
<Breadcrumbs
|
|
433
|
+
label={t.breadcrumb}
|
|
434
|
+
items={[
|
|
435
|
+
{ name: t.home, href: "/" },
|
|
436
|
+
...terms.trail.map((s) => ({ name: s.name, href: s.href })),
|
|
437
|
+
{ name: route.entry.title },
|
|
438
|
+
]}
|
|
439
|
+
/>
|
|
440
|
+
<Article entry={route.entry} terms={terms} locale={locale} t={t} media={media} blocks={blocks} blockTypes={blockTypes} />
|
|
441
|
+
<PostTerms taxonomy={terms} locale={locale} />
|
|
442
|
+
<RelatedPosts title={t.related} entries={related} locale={locale} media={media} />
|
|
443
|
+
<Comments view={comments} />
|
|
444
|
+
</Fragment>
|
|
445
|
+
)}
|
|
446
|
+
{route.kind === "archive" && <Archive archive={route.archive} t={t} media={media} />}
|
|
447
|
+
{route.kind === "search" && <Search search={route.search} locale={locale} t={t} />}
|
|
448
|
+
{route.kind === "not-found" && !isMenu && <NotFound t={t} search={searchForm !== undefined} />}
|
|
449
|
+
</Base>
|
|
@@ -0,0 +1,21 @@
|
|
|
1
|
+
import config from "virtual:cloudhal/config";
|
|
2
|
+
import { addCacheTags, listCacheTag } from "@cloudhal/astro-renderer/cache-tags";
|
|
3
|
+
import { llmsTxt } from "@cloudhal/astro-renderer/locale-feeds";
|
|
4
|
+
import { hostLocale } from "@cloudhal/astro-renderer/locales";
|
|
5
|
+
import { getSource } from "@cloudhal/astro-renderer/runtime";
|
|
6
|
+
import { siteOrigin } from "@cloudhal/astro-renderer/seo";
|
|
7
|
+
import type { APIRoute } from "astro";
|
|
8
|
+
|
|
9
|
+
/** `llms.txt` (llmstxt.org) in the host's locale; other locales at `/<locale>/llms.txt` (RFC-0033). */
|
|
10
|
+
export const GET: APIRoute = async ({ request, url }) => {
|
|
11
|
+
const headers = new Headers();
|
|
12
|
+
const source = await getSource(config, { request, response: { headers } });
|
|
13
|
+
if (!source) return new Response("This site has not been published yet.", { status: 503 });
|
|
14
|
+
const site = await source.site();
|
|
15
|
+
headers.set("content-type", "text/plain; charset=utf-8");
|
|
16
|
+
addCacheTags(headers, [listCacheTag(site.id)]);
|
|
17
|
+
const locale = hostLocale(site, url.host) ?? site.defaultLocale;
|
|
18
|
+
return new Response(await llmsTxt(source, { origin: siteOrigin(site, url), locale }), {
|
|
19
|
+
headers,
|
|
20
|
+
});
|
|
21
|
+
};
|
|
@@ -0,0 +1,13 @@
|
|
|
1
|
+
import config from "virtual:cloudhal/config";
|
|
2
|
+
import { robotsTxt } from "@cloudhal/astro-renderer/feeds";
|
|
3
|
+
import { getSource } from "@cloudhal/astro-renderer/runtime";
|
|
4
|
+
import { siteOrigin } from "@cloudhal/astro-renderer/seo";
|
|
5
|
+
import type { APIRoute } from "astro";
|
|
6
|
+
|
|
7
|
+
export const GET: APIRoute = async ({ request, url }) => {
|
|
8
|
+
const headers = new Headers();
|
|
9
|
+
const source = await getSource(config, { request, response: { headers } });
|
|
10
|
+
headers.set("content-type", "text/plain; charset=utf-8");
|
|
11
|
+
if (!source) return new Response("User-agent: *\nDisallow: /\n", { status: 503, headers });
|
|
12
|
+
return new Response(robotsTxt(siteOrigin(await source.site(), url)), { headers });
|
|
13
|
+
};
|
|
@@ -0,0 +1,25 @@
|
|
|
1
|
+
import config from "virtual:cloudhal/config";
|
|
2
|
+
import { addCacheTags, listCacheTag } from "@cloudhal/astro-renderer/cache-tags";
|
|
3
|
+
import { localeFeedXml } from "@cloudhal/astro-renderer/locale-feeds";
|
|
4
|
+
import { hostLocale } from "@cloudhal/astro-renderer/locales";
|
|
5
|
+
import { getSource } from "@cloudhal/astro-renderer/runtime";
|
|
6
|
+
import { siteOrigin } from "@cloudhal/astro-renderer/seo";
|
|
7
|
+
import type { APIRoute } from "astro";
|
|
8
|
+
|
|
9
|
+
/**
|
|
10
|
+
* The site's RSS 2.0 feed: the newest published articles of every collection, in the host's
|
|
11
|
+
* locale (the default one, or a locale's own domain). Other locales: `/<locale>/rss.xml`.
|
|
12
|
+
*/
|
|
13
|
+
export const GET: APIRoute = async ({ request, url }) => {
|
|
14
|
+
const headers = new Headers();
|
|
15
|
+
const source = await getSource(config, { request, response: { headers } });
|
|
16
|
+
if (!source) return new Response("This site has not been published yet.", { status: 503 });
|
|
17
|
+
const site = await source.site();
|
|
18
|
+
headers.set("content-type", "application/rss+xml; charset=utf-8");
|
|
19
|
+
// Lists every collection's newest entries: any entry change purges it (`cloudhal-list-<site>`).
|
|
20
|
+
addCacheTags(headers, [listCacheTag(site.id)]);
|
|
21
|
+
const locale = hostLocale(site, url.host) ?? site.defaultLocale;
|
|
22
|
+
return new Response(await localeFeedXml(source, { origin: siteOrigin(site, url), locale }), {
|
|
23
|
+
headers,
|
|
24
|
+
});
|
|
25
|
+
};
|
|
@@ -0,0 +1,21 @@
|
|
|
1
|
+
import config from "virtual:cloudhal/config";
|
|
2
|
+
import { hostLocale, linkLocalizer } from "@cloudhal/astro-renderer/locales";
|
|
3
|
+
import { getSource } from "@cloudhal/astro-renderer/runtime";
|
|
4
|
+
import { searchJsonResponse } from "@cloudhal/astro-renderer/search";
|
|
5
|
+
import { siteOrigin } from "@cloudhal/astro-renderer/seo";
|
|
6
|
+
import type { APIRoute } from "astro";
|
|
7
|
+
|
|
8
|
+
/**
|
|
9
|
+
* The search modal's endpoint (RFC-0029 §5): the same index and rules as `/search`, as JSON, in
|
|
10
|
+
* the host's locale (other locales: `/<locale>/search.json`, RFC-0033). Never cached, never
|
|
11
|
+
* indexed; a static build has no search and writes no file.
|
|
12
|
+
*/
|
|
13
|
+
export const GET: APIRoute = async ({ request, url }) => {
|
|
14
|
+
// The source's own headers (preview, cache tags) do not apply: the answer is never cached.
|
|
15
|
+
const source = await getSource(config, { request, response: { headers: new Headers() } });
|
|
16
|
+
if (!source) return searchJsonResponse(config, source, url);
|
|
17
|
+
const site = await source.site();
|
|
18
|
+
const locale = hostLocale(site, url.host) ?? site.defaultLocale;
|
|
19
|
+
const localize = await linkLocalizer(source, locale, siteOrigin(site, url));
|
|
20
|
+
return searchJsonResponse(config, source, url, { locale, localize });
|
|
21
|
+
};
|
|
@@ -0,0 +1,23 @@
|
|
|
1
|
+
import config from "virtual:cloudhal/config";
|
|
2
|
+
import { addCacheTags, listCacheTag } from "@cloudhal/astro-renderer/cache-tags";
|
|
3
|
+
import { sitemapXml } from "@cloudhal/astro-renderer/feeds";
|
|
4
|
+
import { localizedSitemap } from "@cloudhal/astro-renderer/locale-feeds";
|
|
5
|
+
import { getSource } from "@cloudhal/astro-renderer/runtime";
|
|
6
|
+
import { siteOrigin } from "@cloudhal/astro-renderer/seo";
|
|
7
|
+
import type { APIRoute } from "astro";
|
|
8
|
+
|
|
9
|
+
/**
|
|
10
|
+
* Canonical, indexable URLs of the published site in every locale this host serves (RFC-0033):
|
|
11
|
+
* pages, articles and indexable archives, each with its language versions as `xhtml:link`.
|
|
12
|
+
*/
|
|
13
|
+
export const GET: APIRoute = async ({ request, url }) => {
|
|
14
|
+
const headers = new Headers();
|
|
15
|
+
const source = await getSource(config, { request, response: { headers } });
|
|
16
|
+
if (!source) return new Response("This site has not been published yet.", { status: 503 });
|
|
17
|
+
const site = await source.site();
|
|
18
|
+
headers.set("content-type", "application/xml; charset=utf-8");
|
|
19
|
+
// Lists every page, entry and indexable archive: any entry or term change purges it.
|
|
20
|
+
addCacheTags(headers, [listCacheTag(site.id)]);
|
|
21
|
+
const urls = await localizedSitemap(source, siteOrigin(site, url), url.host);
|
|
22
|
+
return new Response(sitemapXml(urls), { headers });
|
|
23
|
+
};
|